//
// mouse.h
//

#define m_save  0
#define MDelta 8

typedef unsigned char mousetyp[256];

mousetyp *m_images;
U1 m_show_image=1;

void MousePut ( int x, int y )
{
  mx1= mx= x; 
  my1= my= y;
}

int maus_innen ( short x, short y, short x1, short y1 )
{
  if ( (mx>=x)&&(mx<=x1)&&(my>=y)&&(my<=y1) ) 
    return 1;
  else 
    return 0;
}

void MouseBackRestore ( void )
{
  short i, j, h= 0;

  for ( i=-MDelta; i<MDelta; i++ )
  {
    for ( j=-MDelta; j<MDelta; j++ )
    {
      ssetpix(mx1+j, my1+i, m_images[m_save][h]);
      h++;
    }
  }
}

void MouseBackSave ( void )
{
  short i, j, h= 0;

  for ( i=-MDelta; i<MDelta; i++ )
  {
    for ( j=-MDelta; j<MDelta; j++ )
    {
      m_images[m_save][h] = getpix(mx+j, my+i);
      h++;
    }
  }
}

void MousePlace ( void )
{
  short i, j, h= 0;

  for ( i=-MDelta; i<MDelta; i++ )
  {
    for ( j=-MDelta; j<MDelta; j++ )
    {
      if ( m_images[m_show_image][h] != 0 )
      {
        ssetpix(mx+j, my+i, m_images[m_show_image][h]);
      }
      h++;
    }
  }
}


S2 Mauszeiger[][2]={
{1,1},
{9,9},
{1,4},
{5,8},
{10,13}
};


void MouseSet (int n)
{
  MouseImage = n;
  m_image_start = Mauszeiger[n][0];
  m_image_end = Mauszeiger[n][1];
  if (m_show_image<m_image_start || m_show_image>m_image_end)
    m_show_image = m_image_start;
}

