//
// PCX-Routinen
// -------------------------------------------
// von Stephan Meiner ab 25. Mrz 1996
//

void put_PCX( char *Name )
{
  int i, Farbe, Faktor, Zeichen, x=0, y=0;
  FILE *Datei;

  if ( (Datei = fopen(Name, "rb")) == NULL )
  {
    ggiPanic("Kann '%s' nicht laden!\n", Name);
  }

  for (i=0; i<128; i++) Zeichen = fgetc(Datei);        //den Header berlesen

  while ( y <= (HEIGHT-1) )
  {
    Zeichen = fgetc(Datei);                      // wenn kein Wiederholfaktor

    if ( Zeichen > 191 )                          // wenn ein Wiederholfaktor
    {
      Faktor = ( Zeichen - 192 );
      Farbe  = fgetc(Datei);
      memset(&VScreen[(WIDTH*y)+x], Farbe, Faktor);
      x += Faktor;
      if ( x >= WIDTH ) { x = x-WIDTH; y++; }
    }
    if ( Zeichen <= 191 )
    {
      setpix(x, y, Zeichen); x++;
      if ( x >= WIDTH ) { x = 0; y++; }
    }
  }
  fclose(Datei);
}

void LoadPalette(char *Name, ggi_color *Palette )
{
  FILE *Datei;
  int i,Shift=2;

  Datei = fopen(Name, "rb");
  if(Datei==NULL) return;
  fseek(Datei, -768L, SEEK_END);
  for (i=0;i<256;i++)
  {
    Palette[i].r=fgetc(Datei)<<(10-Shift);
    Palette[i].g=fgetc(Datei)<<(10-Shift);
    Palette[i].b=fgetc(Datei)<<(10-Shift);
  }
  fclose(Datei);
}

/****************************************************************************/
/* Entkodiert eine PCX-Datei in den virtuellen Bildschirm, und setzt auch   */
/* gleich die Palette.                                                      */    
/* ------------------------------------------------------------------------ */
/* Parameter: Name der PCX-Datei                                            */
/****************************************************************************/
void show_PCX( char *Name )
{
  ggi_color pal[256];
  put_PCX(Name);
  LoadPalette(Name, pal);
  ggiSetPalette(vis,0,256,pal);
}

void ShowRif ( char *Name )
{
  FILE *Datei;

  if ( (Datei = fopen(Name, "rb")) == NULL )
  {
    ggiPanic("Kann '%s' nicht laden!\n", Name);
  }
 
  fread(&VScreen, WIDTH, HEIGHT, Datei);
  fclose(Datei); 

  LoadPalette(Name, pal);
  ggiSetPalette(vis,0,256,pal);
}


